Loading...
Searching...
No Matches
ascii_chk.c File Reference

GIS Library - Remove non-ascii characters. More...

`#include <grass/gis.h>`
Include dependency graph for ascii_chk.c:

Go to the source code of this file.

## Macros

#define | TAB 011
#define | SPACE 040

## Functions

void | G_ascii_check (char *string)
| Removes non-ascii characters from buffer.

## Detailed Description

GIS Library - Remove non-ascii characters.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  1999-2014

Definition in file ascii_chk.c.

## Macro Definition Documentation

## SPACE

#define SPACE 040

Definition at line 19 of file ascii_chk.c.

Referenced by G_ascii_check().

## TAB

#define TAB 011

Definition at line 18 of file ascii_chk.c.

Referenced by G_ascii_check().

## Function Documentation

## G_ascii_check()

void G_ascii_check | ( | char * | string | ) |

Removes non-ascii characters from buffer.

Updates string with non_ascii characters removed, except for tabs, which are turned into spaces.

Parameters

  [in,out] | string | buffer to have non-ascii characters removed

Returns

Definition at line 30 of file ascii_chk.c.

References SPACE, and TAB.